loci.formats.in

## Class SlideBook7Reader.DataLoader

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.DataLoader

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.DataLoader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kMaxNumberOpenFiles`
    `java.util.ArrayList<SlideBook7Reader.CImageGroup>` | `mCImageGroupList`
    `(package private) java.util.TreeMap<java.lang.Integer,java.lang.String>` | `mCounterToPathMap`
    `int` | `mCurrentFileCounter`
    `java.lang.String` | `mErrorMessage`
    `SlideBook7Reader.CSBFile70` | `mFile`
    `(package private) java.util.HashMap<java.lang.String,loci.common.RandomAccessInputStream>` | `mPathToStreamMap`
    `java.lang.String` | `mSlidePath`
    `SlideBook7Reader.CSlideRecord70` | `mSlideRecord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataLoader(java.lang.String inSlidePath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) short` | `ByteArrayToShort(byte[] bytes, int offset)`
    `void` | `CloseFile()`
    `SlideBook7Reader.CImageGroup` | `GetImageGroup(int inCaptureId)`
    `int` | `GetNumCaptures()`
    `java.lang.String` | `GetRootDirectory()`
    `java.lang.Boolean` | `LoadMetadata()`
    `boolean` | `ReadPlane(int inCaptureId, byte[] ouBuf, int inPositionIndex, int inTimepointIndex, int inZPlaneIndex, int inChannelIndex)`
    `java.lang.Boolean` | `ReadSld()`
    `java.lang.Boolean` | `ReadSld(java.io.InputStream inInputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mSlidePath

          public java.lang.String mSlidePath

    - #### mErrorMessage

          public java.lang.String mErrorMessage

    - #### mFile

          public SlideBook7Reader.CSBFile70 mFile

    - #### mSlideRecord

          public SlideBook7Reader.CSlideRecord70 mSlideRecord

    - #### mCImageGroupList

          public java.util.ArrayList<SlideBook7Reader.CImageGroup> mCImageGroupList

    - #### mPathToStreamMap

          java.util.HashMap<java.lang.String,loci.common.RandomAccessInputStream> mPathToStreamMap

    - #### mCounterToPathMap

          java.util.TreeMap<java.lang.Integer,java.lang.String> mCounterToPathMap

    - #### kMaxNumberOpenFiles

          public static final int kMaxNumberOpenFiles

      See Also:
        Constant Field Values

    - #### mCurrentFileCounter

          public int mCurrentFileCounter

  - ### Constructor Detail

    - #### DataLoader

          public DataLoader(java.lang.String inSlidePath)

  - ### Method Detail

    - #### LoadMetadata

          public java.lang.Boolean LoadMetadata()

    - #### ReadSld

          public java.lang.Boolean ReadSld()
                                    throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### ReadSld

          public java.lang.Boolean ReadSld(java.io.InputStream inInputStream)
                                    throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### GetNumCaptures

          public int GetNumCaptures()

    - #### GetImageGroup

          public SlideBook7Reader.CImageGroup GetImageGroup(int inCaptureId)

    - #### ReadPlane

          public boolean ReadPlane(int inCaptureId,
                                   byte[] ouBuf,
                                   int inPositionIndex,
                                   int inTimepointIndex,
                                   int inZPlaneIndex,
                                   int inChannelIndex)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### ByteArrayToShort

          short ByteArrayToShort(byte[] bytes,
                                 int offset)

    - #### CloseFile

          public void CloseFile()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GetRootDirectory

          public java.lang.String GetRootDirectory()

Copyright © 2026 Open Microscopy Environment